AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager
ManagerConnection Class
ManagerConnection Methods
SendEventGeneratingAction Method
SendEventGeneratingAction Method (ManagerActionEvent)
SendEventGeneratingAction Method (ManagerActionEvent, Int32)

| ManagerConnection SendEventGeneratingAction Method (ManagerActionEvent, Int32)

[Missing <summary> documentation for "M:AsterNET.Manager.ManagerConnection.SendEventGeneratingAction(AsterNET.Manager.Action.ManagerActionEvent,System.Int32)"]

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ResponseEvents SendEventGeneratingAction(
    	ManagerActionEvent action,
    	int timeout
    )

    Public Function SendEventGeneratingAction (
    	action As ManagerActionEvent,
    	timeout As Integer
    ) As ResponseEvents

    public:
    ResponseEvents^ SendEventGeneratingAction(
    	ManagerActionEvent^ action,
    	int timeout
    )

    member SendEventGeneratingAction :
            action : ManagerActionEvent *
            timeout : int -> ResponseEvents

#### Parameters

action
  Type: AsterNET.Manager.Action
  ManagerActionEvent

  [Missing <param name="action"/> documentation for "M:AsterNET.Manager.ManagerConnection.SendEventGeneratingAction(AsterNET.Manager.Action.ManagerActionEvent,System.Int32)"]

timeout
  Type: System
  Int32
  wait timeout in milliseconds

#### Return Value

Type: ResponseEvents

[Missing <returns> documentation for "M:AsterNET.Manager.ManagerConnection.SendEventGeneratingAction(AsterNET.Manager.Action.ManagerActionEvent,System.Int32)"]

See Also

#### Reference

ManagerConnection Class
SendEventGeneratingAction Overload
AsterNET.Manager Namespace